HierarchyControllerGetMembers Method

POST /Hierarchy/Members/{id} Gets the hierarchy level members.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("Members")]
public Task<HttpResponseMessage> GetMembers(
	Guid id,
	[FromBodyAttribute] GetHierarchyMembersOptions options,
	Nullable<Guid> sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the hierarchy.
options
Type: Dundas.BI.WebApi.ModelsGetHierarchyMembersOptions
The options to get the members.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: TaskHttpResponseMessage
An array of HierarchyMemberData objects containing the members, or a status code indicating the problem.
See Also